Skip to main content
GET
/
api
/
v1
/
phone_numbers
List phone numbers
curl --request GET \
  --url https://api.scholarlysoftware.com/api/v1/phone_numbers \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "phone_number",
      "attributes": {
        "label": "home",
        "phone_number": "+14155559012",
        "effective_from": "2023-12-25",
        "custom_fields": {},
        "external_id": "EXT-12345",
        "effective_to": "2023-12-25"
      },
      "relationships": {
        "user": {
          "links": {
            "related": "<string>"
          },
          "meta": {},
          "data": {
            "type": "user",
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          }
        },
        "profile": {
          "links": {
            "related": "<string>"
          },
          "meta": {},
          "data": {
            "type": "profile",
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          }
        }
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Authorization
string
required

Bearer token

Query Parameters

filter[phone_number]
string
filter[phone_number.neq]
string
filter[phone_number.cont]
string

Case-insensitive substring match

filter[phone_number.in]
string

Comma-separated list

filter[phone_number.nin]
string

Comma-separated list

filter[external_id]
string
filter[external_id.neq]
string
filter[external_id.cont]
string

Case-insensitive substring match

filter[external_id.in]
string

Comma-separated list

filter[external_id.nin]
string

Comma-separated list

filter[effective_from]
string

ISO 8601 date (e.g., 2024-01-15)

filter[effective_from.neq]
string

ISO 8601 date (e.g., 2024-01-15)

filter[effective_from.lt]
string

ISO 8601 date (e.g., 2024-01-15)

filter[effective_from.lte]
string

ISO 8601 date (e.g., 2024-01-15)

filter[effective_from.gt]
string

ISO 8601 date (e.g., 2024-01-15)

filter[effective_from.gte]
string

ISO 8601 date (e.g., 2024-01-15)

filter[effective_to]
string

ISO 8601 date (e.g., 2024-01-15)

filter[effective_to.neq]
string

ISO 8601 date (e.g., 2024-01-15)

filter[effective_to.lt]
string

ISO 8601 date (e.g., 2024-01-15)

filter[effective_to.lte]
string

ISO 8601 date (e.g., 2024-01-15)

filter[effective_to.gt]
string

ISO 8601 date (e.g., 2024-01-15)

filter[effective_to.gte]
string

ISO 8601 date (e.g., 2024-01-15)

filter[custom_fields.*]
string

Filter by custom field values. Use the format filter[custom_fields.{field_name}] or filter[custom_fields.{field_name}.{operator}].

Available operators depend on field type:

  • String: eq, neq, in, nin, cont
  • Integer/Decimal: eq, neq, lt, lte, gt, gte, in, nin
  • Date/Moment: eq, neq, lt, lte, gt, gte
  • Academic Year: eq, neq, in, nin
  • Boolean: eq
  • Relationship: eq, in

Examples:

  • filter[custom_fields.department_code]=ENG (equality)
  • filter[custom_fields.employee_number.gte]=100 (greater than or equal)
  • filter[custom_fields.status.in]=active,pending (in list)
page[size]
integer

Number of items per page (max 100)

page[after]
string

Cursor for next page

page[before]
string

Cursor for previous page

Response

phone numbers found

data
object[]
required